
TYPO3.Neos - Feature # 52136

Status: Resolved Priority: Must have
Author: Robert Lemke Category: UI
Created: 2013-09-19 Assigned To: Robert Lemke
Updated: 2013-09-23 Due date:
Subject: Create any kind of document node via tree "+" button
Description

When creating a new node for the tree, the user should be able to select the (Document) node type he wants to create. Without this
feature it was only possible to create Page nodes.

Associated revisions
Revision d894feeb - 2013-09-23 09:36 - Robert Lemke

[FEATURE] Support for creating other document-like nodes

This change introduces support for creating other than just Page nodes
in the content tree. When clicking on the tree's "+" button, the user
may choose from available node types which inherit TYPO3.Neos:Document.

Change-Id: I58cec91570ed296654e4e34318c3cf83208cae38
Resolves: #52136
Reviewed-on: https://review.typo3.org/23904
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Tested-by: Mr. Hudson
Reviewed-by: Robert Lemke
Tested-by: Robert Lemke

History
#1 - 2013-09-19 14:36 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23904

#2 - 2013-09-20 08:53 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23904

#3 - 2013-09-20 09:34 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23904
#4 - 2013-09-20 15:46 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23904

#5 - 2013-09-21 17:47 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23904

#6 - 2013-09-21 17:53 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23904

#7 - 2013-09-23 10:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d894feebf782ea1aeae5053f3a8db53c0f23c4d3.
